PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cgetrf | ( | int | m,
|  | int | n,
|  | PLASMA_Complex32_t * | A,
|  | int | lda,
|  | int * | IPIV,
|  | int * | info
| ) |  |

CORE_cgetrf - Computes an LU factorization of a general M-by-N matrix A using the tile LU algorithm with partial tile pivoting with row interchanges.

Parameters

  [in] | m | The number of rows of the matrix A. m >= 0.
  [in] | n | The number of columns of the matrix A. n >= 0.
  [in,out] | A | On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
  [in] | lda | The leading dimension of the array A. LDA >= max(1,M).
  [out] | IPIV | The pivot indices that define the permutations.
  [out] | info | 0 on successful exit <0 if -i, the i-th argument had an illegal value >0 if i, U(i,i) is exactly zero. The factorization has been completed, but the factor U is exactly singular, and division by zero will occur if it is used to solve a system of equations.

Returns

Return values

  PLASMA_SUCCESS | successful exit